<?php

namespace App\ViewModels\Formulario\FormularioRegistrationViewModel;

use App\Utils\Entity;

class PerguntaRegistration extends Entity {
	protected $texto_pergunta;
	protected $id_tipo_pergunta;
	protected $obrigatorio;
	protected $opcoes;
	protected $ordem;
	protected $ativo;
	

	public static function builder(): PerguntaRegistrationBuilder {

		return new PerguntaRegistrationBuilder();

	}

	public function getTextoPergunta(): string {

		return $this->texto_pergunta;

	}

	public function getIdTipoPergunta(): int {

		return $this->id_tipo_pergunta;

	}

	public function getObrigatorio(): int {

		return $this->obrigatorio;

	}

	public function getOpcoes(): array {

		return $this->opcoes;

	}

	public function getOrdem(): int {

		return $this->ordem;

	}

	public function getAtivo(): int {
		
		return $this->ativo;
		
	}
	
	public function setTextoPergunta(string $texto_pergunta): void {

		$this->texto_pergunta = $texto_pergunta;

	}

	public function setIdTipoPergunta(int $id_tipo_pergunta): void {

		$this->id_tipo_pergunta = $id_tipo_pergunta;

	}

	public function setObrigatorio(int $obrigatorio): void {

		$this->obrigatorio = $obrigatorio;

	}

	public function setOpcoes(array $opcoes): void {

		$this->opcoes = $opcoes;

	}

	public function setOrdem(int $ordem): void {

		$this->ordem = $ordem;

	}

	public function setAtivo(int $ativo): void {
		
		$this->ativo = $ativo;
		
	}
	
}